Subject: Re: FWD>FW- Street Lighting

From: [email-masked] (Michael Siminovitch)
Date: 6 Nov 1995 12:07:51 -0500

Reply to:   RE>FWD>FW: Street Lighting International Query

Chris give me a call I can recommend some folks that I am working with in the outdoor lighting area. I am doing some exterior
lighting demos

--------------------------------------
Date: 11/6/95 8:53 AM
To: Michael Siminovitch
From: Erik Page
this from the net group

--------------------------------------
Date: 11/6/95 6:50 AM
From: [email-masked]

[email-masked] posted the following message on the AESP-Net listserv:

I am looking for energy efficiency professionals with experience in street
and public area lighting who might be interested in contracting to a
potential World Bank/International Finance Corporation project.